Tenant/Product

Get all available products by ai translator

Fetches all available products by ai translator.

GET
/api/v2/products/available-by-ai-translator/{id}

Authorization

BearerAuthObject
AuthorizationBearer <token>

In: header

Path Parameters

id*string

The Ai Translator Id

Query Parameters

limit?integer

Maximum number of projects to return (pagination limit)

Default30
offset?integer

Offset to start pagination

Default0
name?string

Filter projects by name

projectTypeId?integer

Filter projects by project type ID

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/products/available-by-ai-translator/d3cb3f65-5b8b-4620-8480-5165621e1112?limit=30&offset=0&name=My+Project+Name&projectTypeId=3"
{  "products": [    {      "id": 3,      "name": "b2binpay",      "languageId": 1,      "platforms": [        "web"      ]    }  ],  "pagination": {    "maxCount": 101  }}
{  "message": {    "error": "Your request was made with invalid credentials."  }}
{  "message": {    "error": "You are not allowed to perform this action."  }}
{  "message": {    "error": "Page not found"  }}
{  "message": {    "error": "Oops! Something went wrong! Write to administrator. Your Request Id {f1177aee-9a99-42f0-a23f-4dd29fc39b65-672e0df972ccb}"  }}